#include <iostream>
#include <vector>
 
int main() {
    int first_run;
    std::cin >> first_run;
 
    if (first_run == 0) {
        // Первый запуск
        int n;
        std::cin >> n;
        std::vector<long long> cards(n);
        
        for (int i = 0; i < n; ++i) {
            std::cin >> cards[i];
        }
        
        long long sum = 0;
        for (int j = 0; j < n; ++j) {
            sum += cards[j]; 
        }
        
        std::cout << sum % n + 1 << std::endl; // FIXED
    } else {
        // Второй запуск
        int player_index = first_run - 1; // Приводим к 0-индексации
        int n;
        std::cin >> n;
        std::vector<long long> visible_cards(n);
        
        for (int i = 0; i < n; ++i) {
            std::cin >> visible_cards[i];
        }
 
        // Угадываем число для выбранного игрока
        long long sum = 0;
        for (int j = 0; j < n; ++j) 
        {
            sum += visible_cards[j]; // Суммируем карточки остальных игроков
        }
        sum %= n + 1;
        
        int guessed_number = (n + player_index - sum) % (n + 1) + 1; // FIXED
        std::cout << guessed_number << std::endl; // Выводим предполагаемое число
    }
 
    return 0;
}
